import javafx.application.Application;
import javafx.beans.value.ObservableValue;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.control.Slider;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.stage.Stage;

public class HalloJavaFX_v1 extends Application {
  private static final double MIN = 18;
  private static final double MAX = 44;
  private static final double INITIAL = 28;

  // Main-Methode, von Java aufgerufen
  public static void main(String[] args) {
    launch(args);
  }

  // Der eigentliche Start der Anwendung
  public void start(Stage primaryStage) {
    // Layout zusammenbauen
    VBox layout = new VBox(10);
    layout.setPadding(new Insets(10, 10, 10, 10));
    layout.setStyle("-fx-background-color: white;");

    Slider slider = new Slider(MIN, MAX, INITIAL);
    slider.setShowTickMarks(true);
    slider.setShowTickLabels(true);
    slider.setMajorTickUnit(2);
    slider.setBlockIncrement(1);
    layout.getChildren().add(slider);

    Label label = new Label("Hallo, JavaFX!");
    label.setFont(new Font(INITIAL));
    label.setTextFill(Color.DIMGREY);
    layout.getChildren().add(label);

    // Schriftgre mit dem Slider regeln
    slider.valueProperty().addListener(
      (ObservableValue<? extends Number> ov,
       Number oldValue, Number newValue) -> {
         double size = newValue.doubleValue();
         label.setFont(new Font(size));
      }
    );

    // Auf den Schirm!
    Scene scene = new Scene(layout, 400, 150);

    primaryStage.setScene(scene);
    primaryStage.setTitle("Hallo, JavaFX!");
    primaryStage.show();
  }
}
